> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blinkops.com/llms.txt
> Use this file to discover all available pages before exploring further.

> API endpoint to create a new connection to an external service in Blink.

# Create connection



## OpenAPI

````yaml post /workspace/{ws_id}/connections
openapi: 3.0.1
info:
  title: Blink REST API
  description: >-
    The Blink REST API provides programmatic access to Blink data and
    functionality, enabling the management of resources such as workflows,
    users, cases, and more.
  termsOfService: https://www.blinkops.com/terms-of-use
  contact:
    name: API Support
    url: http://blinkops.com/support
    email: support@blinkops.com
  version: '1.0'
servers:
  - url: https://app.blinkops.com/api/v1
security: []
tags:
  - name: Controller
    description: Controller health and stats
  - name: Connections
    description: Manage your connections
  - name: Integrations
    description: Manage your integrations
  - name: Invites
    description: Manage your invites
  - name: Workflows
    description: Create and execute your workflows
  - name: Executions
    description: Get information and manage executions
  - name: Runners
    description: Configure your runners
  - name: Tables
    description: Manage your tables
  - name: Case Management
    description: Manage your cases
  - name: User Settings
    description: Manage user settings
  - name: Webhook
    description: Send to webhook
  - name: workspaces
    description: Manage your workspaces
  - name: User Info
    description: Get Information on current user
  - name: Portal
    description: Manage your portal apps
  - name: Groups
    description: Manage your Groups
  - name: Users
    description: Manage your users
paths:
  /workspace/{ws_id}/connections:
    post:
      tags:
        - Connections
      summary: Create connection
      description: Creates a new Connection
      operationId: CreateConnection
      parameters:
        - name: ws_id
          in: path
          description: Workspace ID
          required: true
          schema:
            type: string
      requestBody:
        description: Connection Data
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/api.DocsCreateConnectionRequest'
        required: true
      responses:
        '200':
          description: ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.Connection'
        '400':
          description: Cannot create Connection
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api_responses.ErrorWrapper'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    api.DocsCreateConnectionRequest:
      type: object
      properties:
        attributes:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/api.DocsConnectionAttribute'
        connection_type_id:
          type: string
          example: b07920f3-5dbc-44da-b650-bd1a9c1f540c
        created_with_o_auth:
          type: boolean
        creation_method:
          type: string
        name:
          type: string
          example: My GitHub Connection
    models.Connection:
      type: object
      properties:
        attributes:
          $ref: '#/components/schemas/models.ConnectionAttributes'
        connection_type_id:
          type: string
        created_at:
          type: integer
        created_by:
          type: string
        created_with_o_auth:
          type: boolean
        creation_location:
          type: string
        creation_method:
          type: string
        description:
          type: string
        display_name:
          type: string
        external_id:
          type: string
          description: >-
            ExternalId mapping to external entity identifier associated with
            this connection (used on revoke/uninstall events e.g.)
        full_name:
          type: string
        id:
          type: string
        name:
          type: string
          description: >-
            Connection names are unique per tenant as they are used in playbook
            YAML
        secret_manager:
          type: string
        status:
          type: string
        tenant_id:
          type: string
        updated_at:
          type: integer
        updated_by:
          type: string
        workspace_id:
          type: string
    api_responses.ErrorWrapper:
      type: object
      properties:
        data:
          type: object
        details:
          type: string
        identifier:
          type: string
        message:
          type: string
        status:
          type: integer
          example: 404
        user_error:
          type: object
    api.DocsConnectionAttribute:
      type: object
      properties:
        value:
          type: string
          example: <your api key>
    models.ConnectionAttributes:
      type: object
      additionalProperties:
        $ref: '#/components/schemas/models.ConnectionAttribute'
    models.ConnectionAttribute:
      type: object
      properties:
        value:
          type: object
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      description: >-
        Use your API key to access BlinkOps API. To generate an API key, please
        log in to your BlinkOps account and navigate to the API Keys section in
        the user settings page. Add the generated key to your request headers as
        BLINK-API-KEY.
      name: BLINK-API-KEY
      in: header

````